List data sources

List all data sources for the current space with optional filters

POST
/datasources/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List data sources input

kind?DataSourceType
Value in"LOCAL_ASSET" | "POSTGRES" | "MYSQL" | "ORACLE" | "SQL_SERVER" | "SQLITE" | "BIGQUERY" | "AZURE_SQL" | "AIRTABLE" | "GOOGLE_SHEET" | "NOTION" | "SNOWFLAKE" | "DATABRIKS" | "REDSHIFT"
pagination?bv.Pagination

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/datasources/list" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "createdAt": "string",
    "description": "string",
    "id": "string",
    "kind": "LOCAL_ASSET",
    "name": "string",
    "organizationId": "string",
    "sourceConfig": null,
    "spaceId": "string",
    "title": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}